/*Theme Cyan Styles*/
$app-primary-cyan: #00bcd4 !default;
$secondary-cyan: #69F0AE;

$sidebar-cyan: $white !default;
$sidebar-text-cyan: #868e96 !default;

// Links
$link-color: $sidebar-text-color;
$link-hover-color: $app-primary;

//-Base-scss
.cyan .right-arrow {
  color: $app-primary-cyan;
  &:after {
    color: $app-primary-cyan;
  }
}

//Bootstrap file Style
.cyan {
  & a,
  & a.text-primary {
    color: $app-primary-cyan;
    &:focus,
    &:hover {
      color: darken($app-primary-cyan, 10%);
    }
  }

  & .text-primary {
    color: $app-primary-cyan !important;
  }

  & .page-link {
    color: $app-primary-cyan;
    &:focus,
    &:hover {
      color: $app-primary-cyan;
    }
  }

  & .bg-primary,
  & .badge-primary {
    background-color: $app-primary-cyan !important;
    color: $sidebar-cyan !important;
  }

  & .btn-primary {
    background-color: $app-primary-cyan;
    border-color: $app-primary-cyan;
    color: $sidebar-cyan !important;

    &:hover,
    &:focus,
    &:active {
      background-color: darken($app-primary-cyan, 5%) !important;
      border-color: darken($app-primary-cyan, 5%) !important;
      color: $sidebar-cyan !important;
    }
  }

  & .bg-primary {
    &.lighten-4 {
      background-color: #b2ebf2 !important;
    }

    &.lighten-3 {
      background-color: #80deea !important;
    }

    &.lighten-2 {
      background-color: #4dd0e1 !important;
    }

    &.lighten-1 {
      background-color: #26c6da !important;
    }

    &.darken-1 {
      background-color: #00acc1 !important;
    }

    &.darken-2 {
      background-color: #0097a7 !important;
    }

    &.darken-3 {
      background-color: #00838f !important;
    }

    &.darken-4 {
      background-color: #006064 !important;
    }

    &.accent-1 {
      background-color: #84ffff !important;
    }

    &.accent-2 {
      background-color: #18ffff !important;
    }

    &.accent-3 {
      background-color: #00e5ff !important;
    }

    &.accent-4 {
      background-color: #00b8d4 !important;
    }
  }
}

//Secondary
.cyan {
  & a.text-secondary {
    color: $secondary-cyan;
    &:focus,
    &:hover {
      color: darken($secondary-cyan, 10%) !important;
    }
  }

  & .text-secondary {
    color: $secondary-cyan !important;
  }

  & .bg-secondary,
  & .badge-secondary {
    background-color: $secondary-cyan !important;
    color: $sidebar-cyan !important;
  }

  & .btn-secondary {
    background-color: $secondary-cyan;
    border-color: $secondary-cyan;
    color: $sidebar-cyan;

    &:hover,
    &:focus,
    &:active {
      background-color: darken($secondary-cyan, 5%) !important;
      border-color: darken($secondary-cyan, 5%) !important;
      color: $sidebar-cyan !important;
    }
  }
}

//_header.scss
.cyan .app-main-header {
  background-color: $app-primary-cyan !important;

  & .search-bar input {
    background-color: lighten($app-primary-cyan, 5%);

    &:focus {
      background-color: $white;
    }
  }

  & .search-dropdown input {
    @media screen and (max-width: 575px) {
      background-color: $white;
    }
  }
}

//_right-sidebar.scss
.cyan .color-theme-header {
  background-color: $app-primary-cyan;

}

//_sidebar.scss
.cyan .side-nav {
  background-color: $sidebar-cyan !important;
  color: $sidebar-text-cyan !important;
  @include box-shadow(0 1px 4px 0 rgba(0, 0, 0, 0.15));

  & .user-profile {
    background-color: $sidebar-cyan;
    @include box-shadow(0 1px 4px 0 rgba(0, 0, 0, 0.15));
    position: relative;
    z-index: 2;
  }

  & .customizer {
    border-bottom: solid 1px lighten($sidebar-text-cyan, 35%);
  }

  & .user-detail {
    & .user-name {
      color: $app-primary-cyan;
    }
  }
}

.cyan ul.nav-menu li a {
  color: $sidebar-text-cyan;
}

.cyan ul.nav-menu {
  & .nav-header {
    color: $sidebar-text-cyan;
  }
}

.cyan ul.nav-menu > li.open > a,
.cyan ul.nav-menu > li > a:hover,
.cyan ul.nav-menu > li > a:focus {
  background-color: $sidebar-cyan;
  color: $app-primary-cyan;
}

.cyan ul.nav-menu li.menu.open > a {
  border-color: $app-primary-cyan;
}

.cyan ul.nav-menu li.menu > a:focus:before,
.cyan ul.nav-menu li.menu > a:hover:before {
  color: $app-primary-cyan;
}

.cyan ul.nav-menu li ul {
  background-color: $sidebar-cyan;
}

.cyan ul.nav-menu li.menu > a:before {
  color: $sidebar-text-cyan;
}

.cyan ul.nav-menu li.menu.open > a:before,
.cyan ul.nav-menu li.menu > a:focus:before,
.cyan ul.nav-menu li.menu li > a:hover:before {
  color: $app-primary-cyan;
}

.cyan ul.nav-menu li.menu .sub-menu li > a:before {
  color: $sidebar-text-cyan;
}

.cyan ul.nav-menu li.menu.open .sub-menu li > a.active {
  background-color: $sidebar-cyan;
  color: $app-primary-cyan;
}

.cyan ul.nav-menu li.menu .sub-menu li > a:hover,
.cyan ul.nav-menu li.menu .sub-menu li > a:focus,
.cyan ul.nav-menu li.menu.open .sub-menu li > a.active:before,
.cyan ul.nav-menu li.menu .sub-menu li > a:focus:before,
.cyan ul.nav-menu li.menu .sub-menu li > a:hover:before {
  background-color: $sidebar-cyan;
  color: $app-primary-cyan;
}

//_app-module.scss
.cyan .module-nav {
  & li a {
    &.active {
      border-color: $app-primary-cyan;
    }
  }
}

//_calendar.scss
.cyan .rbc-event {
  background-color: $app-primary-cyan;
}

.cyan .rbc-event.rbc-selected {
  background-color: darken($app-primary-cyan, 10%);
}

.cyan .rbc-slot-selection {
  background-color: rgba($app-primary-cyan, 0.7);
}

.cyan .rbc-toolbar button:active,
.cyan .rbc-toolbar button.rbc-active {
  background-color: rgba($app-primary-cyan, 0.9);
  border-color: $app-primary-cyan;
}

.cyan .rbc-toolbar button:active:hover,
.cyan .rbc-toolbar button.rbc-active:hover,
.cyan .rbc-toolbar button:active:focus,
.cyan .rbc-toolbar button.rbc-active:focus {
  background-color: rgba($app-primary-cyan, 0.9);
  border-color: $app-primary-cyan;
}

.cyan .rbc-toolbar button:focus {
  background-color: rgba($app-primary-cyan, 0.9);
  border-color: $app-primary-cyan;
}

.cyan .rbc-toolbar button:hover {
  background-color: rgba($app-primary-cyan, 0.9);
  border-color: $app-primary-cyan;
}

//_chat.scss
.cyan .chat-sidenav-title {
  color: $app-primary-cyan;
}

.cyan .chat-user-item {
  &.active,
  &:hover {
    background-color: lighten($app-primary-cyan, 45%);
  }
}

//_dashboard.scss
.cyan .contact-list {
  & i {
    color: $app-primary-cyan;
  }
}

//The link which when clicked opens the collapsable ChatUserList
.cyan .Collapsible__trigger {
  background: $app-primary-cyan;
}

.cyan .categories-list {
  & li a:focus,
  & li a:hover,
  & li.active a {
    color: $app-primary-cyan;
  }
}

//_login.scss
.cyan .login-content .form-control {
  &:focus {
    border-color: $app-primary-cyan;
  }
}

//_portfolio.scss
.cyan .filter-with-bg-color ul li {
  & a {
    border-color: $app-primary-cyan;

    &:hover,
    &:focus,
    &.active {
      background-color: $app-primary-cyan;
    }
  }
}

//_card.scss
.cyan .profile-intro {
  & .icon {
    color: $app-primary-cyan;
  }
}

.cyan .social-link {
  & li.active a,
  & li a:hover,
  & li a:focus {
    color: $secondary-cyan;
  }
}

//_tables.scss
.cyan .actions {
  color: $secondary-cyan;
}

.cyan .table-hover tbody tr:hover {
  background-color: rgba($app-primary-cyan, 0.075);
}

//Border Color

.cyan .border-primary {
  border-color: $app-primary-cyan !important;
}

// login page content

.cyan .app-logo-content {
  background-color: $app-primary-cyan;
}

.cyan .app-social-block {
  & .social-link button {
    border: solid 1px $app-primary-cyan;
    color: $app-primary-cyan;

    &:hover,
    &:focus {
      color: $white;
      background-color: $app-primary-cyan;
    }
  }
}